Bug 175783 - system-config-* tools will not run from sshell without xserver on client
system-config-* tools will not run from sshell without xserver on client
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
:
: 160250 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-14 17:20 EST by richard hornsby
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 11:09:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description richard hornsby 2005-12-14 17:20:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
None of the system-config-* tools or up2date will start from an ssh session unless there is an xserver running on the client-side.  There is no indication of a problem except that the program won't start, and the exit code

[root@io httpd-2.2.0]# system-config-securitylevel
[root@io httpd-2.2.0]# echo $?
1

If I start an xserver, I get this:

[root@io httpd-2.2.0]# system-config-securitylevel
Xlib: connection to "localhost:10.0" refused by server
Xlib: PuTTY X11 proxy: wrong authentication protocol attempted

and the application starts as an ncurses(?) app in the console.

If you unset the DISPLAY variable ('export DISPLAY=') the app starts as an ncurses application.  Discovered most of this by running strace and wondering why system-config-* kept loading up X libraries when there was no way it was going to be able to start an X app.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.5.8-1

How reproducible:
Always

Steps to Reproduce:
1. SSH into FC4
2. attempt to start any of the system-config-* apps or up2date
3. Watch as nothing happens
4. Start an xserver (ie, xwin)
5. Watch as the app starts in the console
  

Actual Results:  The app fails to start without the xserver, but starts as an ncurses app with the server running.

Expected Results:  The app should have started as an ncurses app or exited with an error stating that it needed X or that it was looking for an X server and didn't find one.

Additional info:

Workaround options:

A) Load an X server on the client machine
(why this then generates errors and starts the app in the console anyways I don't know)
B) unset the DISPLAY= variable
Comment 1 Chris Lumens 2005-12-16 11:09:25 EST
How ssh and X play together changed for FC4.  You either need to edit the ssh
server configs to enable X11Forwarding and then use ssh -X, or use ssh -Y.  Note
that this is dangerous.  Please refer to the fedora-devel-list archives for lots
of discussion about why this was done.
Comment 2 Chris Lumens 2005-12-20 14:16:24 EST
*** Bug 160250 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.